<template>
  <div class="app-container">
   <el-row :gutter="5">
     <el-col :span="12">
       <el-card shadow="never">
         <el-form :model="ruleForm" :rules="rules" ref="ruleForm" label-width="100px" class="demo-ruleForm">
           <el-form-item label="工位" prop="stationCode">
             <el-input v-model="ruleForm.stationCode" placeholder="示例：M2P100"></el-input>
           </el-form-item>
           <el-form-item label="产品序列号" prop="productNum">
             <el-input v-model="ruleForm.productNum" placeholder="示例：0RSMB01A134E3AEAA0000067"></el-input>
           </el-form-item>
           <el-form-item label="报工时间" prop="confirmTime">
             <el-input v-model="ruleForm.confirmTime"placeholder="示例：2024-10-12 13:35:00"></el-input>
           </el-form-item>
           <el-form-item>
             <el-button type="primary" @click="submitForm('ruleForm')">报工</el-button>
           </el-form-item>
         </el-form>

       </el-card>
     </el-col>

   </el-row>
  </div>
</template>
<script>
import {listWorkReport} from "@/api/main/om/workReport/workReport";
import {listStationConf,getIpv4} from "@/api/main/sc/stationConf";
import {
  clearWorkpieceRelease,
  fistSetpNumber, initializedData,
  listFormulaChild,
  noPageListFormulaChild,
  releaseCheck, unfinishedProcess,
  updateResults,
  updateTighteningFormula,
  workpieceRelease, writeRepairInformationIntoPlc
} from "@/api/main/bs/formulaChild/formulaChild";
import MySerialPort from "@/utils/MySerialPort";
import USBDevice from "@/utils/usb.json";
import {
  addProductionOrde,
  bindYzSfcFlag,
  checkCarCode, checkYzSfcCode,
  findBytrolleyYardGetOne,
  listProductionOrde, listProductionOrdeLoopLine, mozuReceivingWorkOrders,
  receivingWorkOrders, supplementaryReportingWork,
  trolleyYardBinDing
} from "@/api/main/om/productionOrde/productionOrde";
import {addPassingStationCollection} from "@/api/main/da/passingStationCollection/passingStationCollection";
import {
  addBasicParameters,
  addParamCollection,
  addTighteningParameters,
  saveCampaignTimeParameters,
  replaceAssemblyCode, checkRecordDataDone,
} from "@/api/main/da/paramCollection/paramCollection";
import {addFormula} from "@/api/main/bs/formula/formula";
import QRCode from "qrcodejs2";
import VueQr from "vue-qr";
import {listProcesses, listProcessesNoPage} from "@/api/main/bs/processes/processes";

export default {
  components: {
    VueQr
  },
  name: "stationTerminal",
  data() {
    return {
      ruleForm: {
        productNum: 'TZ180XSDSZX012409200000015',
        confirmTime: '2024-10-12 13:35:00',
        stationCode: 'OP010',
      },
      rules: {
        productNum: [
          { required: true, message: '请输入序列号', trigger: 'blur' },
        ],
        confirmTime: [
          { required: true, message: '请输入报工时间', trigger: 'blur' },
        ],
        stationCode: [
          { required: true, message: '请输入工位', trigger: 'blur' },
        ],
      },
      confirmTime: '',
      productNum: '',
      stationCode: '',
    }
  },
  methods: {
    submitForm(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          supplementaryReportingWork(this.ruleForm).then(response => {
            this.$message(response.msg);
          });
        } else {
          console.log('error submit!!');
          return false;
        }
      });
    },
  }
}

</script>


